let grey = 0x808080

let max = 2
let quarter = 3*max
let half = 2*quarter
let period = 2*half
let third = period/3

let rec sinus = function
  n when n < 0 -> - sinus (-n)
| n when n < max -> n
| n when n <= quarter -> max
| n when n < half -> sinus (half-n)
| n -> sinus (half-n)

let colour_fun n = (max + sinus n) * (127/max)

let colour_circle s =
  Graphics.rgb
   (colour_fun s)
   (colour_fun (s-third))
   (colour_fun (s+third))

let next s =
  let t = succ s in
    if t = period then
      0
    else
      t

let red,
    yellow,
    green,
    blue = 0,
           1,
           2,
           3

let colours = [| Graphics.red; Graphics.yellow; Graphics.green; Graphics.blue |]

let colour_name = [| "red"; "yellow"; "green"; "blue" |]